org.apache.felix.utils.repository

## Class StaxParser.XmlRepository

- java.lang.Object
- - org.apache.felix.utils.repository.StaxParser.XmlRepository

Enclosing class:
  StaxParser

    public static class StaxParser.XmlRepository
    extends Object

### Field Summary

Fields
`long` `increment`
`String` `name`
`List<StaxParser.Referral>` `referrals`
`List<org.osgi.resource.Resource>` `resources`

### Constructor Summary

Constructors
Constructor and Description
`XmlRepository()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public String name

#### increment

    public long increment

#### referrals

    public List<StaxParser.Referral> referrals

#### resources

    public List<org.osgi.resource.Resource> resources

### Constructor Detail

#### XmlRepository

    public XmlRepository()